package com.icomsys.main_vm.biz.rcp.conversation.vo;

import lombok.Builder;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * Name : ConversationCmmNodeInfoRes 
 * date : 2023-02-13 
 * author :  Mong
 * description :
 * ===========================================================
 * DATE                 AUTHOR                NOTE
 * -----------------------------------------------------------
 * 2023-02-13                Mong             최초 생성
 */
@NoArgsConstructor
public class ConversationCmmNodeInfoRes {

    private Long seq;
    private String nodeName;
    private String updateId;
    private LocalDateTime updateDate;

    @Builder
    public ConversationCmmNodeInfoRes(Long seq, String nodeName, String updateId, LocalDateTime updateDate) {
        this.seq = seq;
        this.nodeName = nodeName;
        this.updateId = updateId;
        this.updateDate = updateDate;
    }

    public Long getSeq() {
        return seq;
    }

    public void setSeq(Long seq) {
        this.seq = seq;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public String getUpdateDate() {
        return updateDate.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm"));
    }

    public void setUpdateDate(LocalDateTime updateDate) {
        this.updateDate = updateDate;
    }
}
